Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.recordio
Class RecordStreamBuilderImpl

    java.lang.Object
      com.servingxml.components.task.AbstractTask
          com.servingxml.components.recordio.RecordStreamBuilderImpl

All Implemented Interfaces:
  RecordFilterAppender, RecordPipelineAppender, RecordReaderFactory, RecordStreamBuilder, Stringable, Task

    public final class RecordStreamBuilderImpl

extends AbstractTask
implements RecordStreamBuilder

Nested Class Summary

Nested classes/interfaces inherited from interface com.servingxml.components.string.Stringable
`Stringable.EmptyStringable`

Field Summary

Fields inherited from interface com.servingxml.components.recordio.RecordPipelineAppender
`EMPTY_ARRAY`

Fields inherited from interface com.servingxml.components.recordio.RecordPipelineAppender
`EMPTY_ARRAY`

Fields inherited from interface com.servingxml.components.string.Stringable
`EMPTY, EMPTY_ARRAY`

Constructor Summary
`RecordStreamBuilderImpl(RecordPipelineAppender[] recordPipelineAppenders)`

Method Summary
`void` | `appendToRecordPipeline(ServiceContext context, Flow flow, RecordFilterChain pipeline)`
`RecordPipeline` | `createRecordPipeline(ServiceContext context, Flow flow)`
`void` | `execute(ServiceContext context, Flow flow)`

Methods inherited from class com.servingxml.components.task.AbstractTask
`createString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.servingxml.components.string.Stringable
`createString`

Constructor Detail

### RecordStreamBuilderImpl

    public RecordStreamBuilderImpl(RecordPipelineAppender[] recordPipelineAppenders)

Method Detail

### createRecordPipeline

    public RecordPipeline createRecordPipeline(ServiceContext context,
                                               Flow flow)

  Specified by:
    `createRecordPipeline` in interface `RecordPipelineAppender`

### appendToRecordPipeline

    public void appendToRecordPipeline(ServiceContext context,
                                       Flow flow,
                                       RecordFilterChain pipeline)

  Specified by:
    `appendToRecordPipeline` in interface `RecordPipelineAppender`

### execute

    public void execute(ServiceContext context,
                        Flow flow)

  Specified by:
    `execute` in interface `Task`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD